feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Eq

Description

Implementation of Equality constructs

Synopsis

- data EQ a where
  - Equal :: (Type a, Eq a) => EQ (a :-> (a :-> Full Bool))
  - NotEqual :: (Type a, Eq a) => EQ (a :-> (a :-> Full Bool))

# Documentation

data EQ a where

Equality constructs

Constructors

Equal :: (Type a, Eq a) => EQ (a :-> (a :-> Full Bool)) |
NotEqual :: (Type a, Eq a) => EQ (a :-> (a :-> Full Bool)) |

Instances

EvalBind EQ |
Semantic EQ |
Eval EQ |
Render EQ |
ToTree EQ |
Equality EQ |
Sharable EQ |
AlphaEq dom dom dom env => AlphaEq EQ EQ dom env |
SizeProp (:|| EQ Type) |
(:<: (:|| EQ Type) dom, OptimizeSuper dom) => Optimize (:|| EQ Type) dom |